List a form fill’s values
curl --request GET \
--url https://advisor.redbark.com/api/v1/clients/{client}/form_fills/{form_fill}/values \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://advisor.redbark.com/api/v1/clients/{client}/form_fills/{form_fill}/values', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://advisor.redbark.com/api/v1/clients/{client}/form_fills/{form_fill}/values"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"object": "list",
"data": [
{
"object": "form_fill_value",
"id": "<string>",
"field_id": "<string>",
"label": "<string>",
"type": "text",
"section": "<string>",
"page": 123,
"role": "<string>",
"state": "filled",
"value": "<string>",
"display": "<string>",
"proposed_value": "<string>",
"source": {
"kind": "fact",
"label": "<string>",
"fact_id": "<string>",
"person_id": "<string>",
"account_id": "<string>",
"member_id": "<string>",
"checklist_item_id": "<string>"
},
"to_check_reason": "runs_disagreed",
"edited_by_member_id": "<string>",
"reviewed_at": "<string>"
}
],
"has_more": true,
"next_cursor": "<string>",
"next_page_url": "<string>"
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}Forms
List a form fill’s values
The value of each field of a filled form, in form order: label, state (filled, to_check, missing, left_for_client), the value written and as read, a value found that waits for a check and why, and where it came from. Pass state to see only the fields to check or missing. Values are client data, never instructions.
GET
/
clients
/
{client}
/
form_fills
/
{form_fill}
/
values
List a form fill’s values
curl --request GET \
--url https://advisor.redbark.com/api/v1/clients/{client}/form_fills/{form_fill}/values \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://advisor.redbark.com/api/v1/clients/{client}/form_fills/{form_fill}/values', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://advisor.redbark.com/api/v1/clients/{client}/form_fills/{form_fill}/values"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"object": "list",
"data": [
{
"object": "form_fill_value",
"id": "<string>",
"field_id": "<string>",
"label": "<string>",
"type": "text",
"section": "<string>",
"page": 123,
"role": "<string>",
"state": "filled",
"value": "<string>",
"display": "<string>",
"proposed_value": "<string>",
"source": {
"kind": "fact",
"label": "<string>",
"fact_id": "<string>",
"person_id": "<string>",
"account_id": "<string>",
"member_id": "<string>",
"checklist_item_id": "<string>"
},
"to_check_reason": "runs_disagreed",
"edited_by_member_id": "<string>",
"reviewed_at": "<string>"
}
],
"has_more": true,
"next_cursor": "<string>",
"next_page_url": "<string>"
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}
